> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Locations

> Given an account number, retrieve its deposit locations from a financial provider.



## OpenAPI

````yaml GET /customer/accounts/deposit-locations/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/accounts/deposit-locations/{account_id}:
    get:
      tags:
        - Customer
      summary: Get Client Deposit Locations Signed
      description: >-
        Given an account number, retrieve its deposit locations from a financial
        provider.
      operationId: >-
        get_client_deposit_locations_signed_customer_accounts_deposit_locations__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: page_number
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Page number for pagination
            title: Page Number
          description: Page number for pagination
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Number of transactions per page
            default: 100
            title: Page Size
          description: Number of transactions per page
        - name: load_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Load date
            title: Load Date
          description: Load date
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ClientPaginatedResponseSchema_List_ClientDepositLocationsResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClientPaginatedResponseSchema_List_ClientDepositLocationsResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClientDepositLocationsResponse'
              type: array
            - type: 'null'
          title: Data
        as_of_date:
          anyOf:
            - type: string
            - type: 'null'
          title: As Of Date
          description: As of date for the data
        pagination:
          anyOf:
            - $ref: '#/components/schemas/Pagination'
            - type: 'null'
      type: object
      required:
        - message
      title: ClientPaginatedResponseSchema[List[ClientDepositLocationsResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientDepositLocationsResponse:
      properties:
        location_id:
          type: integer
          title: Location Id
          description: Location ID
          examples:
            - 1234
        name:
          type: string
          title: Name
          description: Location name
          examples:
            - Downtown ATM
        city_and_state:
          anyOf:
            - type: string
            - type: 'null'
          title: City And State
          description: Location city and state
          examples:
            - London, CA
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
          description: Deposit amount
          default: 1000
      type: object
      title: ClientDepositLocationsResponse
      description: Schema to serialize the deposit locations response.
    Pagination:
      properties:
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items
        limit:
          type: integer
          title: Limit
          description: Limit number of items
        offset:
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          title: Offset
          description: Offset number of items
      type: object
      required:
        - limit
      title: Pagination
      description: Represent the pagination structure.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````